    package com.atguigu.tingshu.album.config;

    import com.jd.platform.hotkey.client.ClientStarter;
    import jakarta.annotation.PostConstruct;
    import org.springframework.beans.factory.annotation.Value;
    import org.springframework.stereotype.Component;

    /**
     * @author atguigu
     * @version 1.0
     */
    @Component
    public class Starter {
        @Value("${etcd.server}")
        private String etcd;
        @Value("${spring.application.name}")
        private String appName;

        @PostConstruct
        public void init() {
            ClientStarter.Builder builder = new ClientStarter.Builder();
            ClientStarter starter = builder.setAppName(appName).setEtcdServer(etcd).build();
            starter.startPipeline();
        }
    }
