package com.atguigu.tingshu.common.util;

import com.alibaba.ttl.TransmittableThreadLocal;

/**
 * 获取当前用户信息帮助类
 */
public class AuthContextHolder {

    //private static ThreadLocal<Long> tl1 = new ThreadLocal<Long>();
    //private static ThreadLocal<Long> tl2 = new InheritableThreadLocal<>();
    private static ThreadLocal<Long> userId = new TransmittableThreadLocal<Long>();
    private static ThreadLocal<String> nameTL = new TransmittableThreadLocal<String>();

    public static void setUserId(Long _userId) {
        userId.set(_userId);
    }

    public static void setUserName(String _userId) {
        nameTL.set(_userId);
    }

    public static Long getUserId() {
        return userId.get();
    }

    public static void removeUserId() {
        userId.remove();
    }

}
