package com.atguigu.tingshu.account.mapper;

import com.atguigu.tingshu.model.account.RechargeInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface RechargeInfoMapper extends BaseMapper<RechargeInfo> {


    /**
     * 更新充值记录
     * @param orderNo 订单编号
     * @param orderStatusCondition 期望充值状态
     * @param orderStatus 更新充值状态
     * @return
     */
    int updateRechageStatus(@Param("orderNo") String orderNo,@Param("orderStatusCondition") String orderStatusCondition, @Param("orderStatus") String orderStatus);
}
