package com.atguigu.tingshu.album.config;

import com.jd.platform.hotkey.common.configcenter.IConfigCenter;
import com.jd.platform.hotkey.common.configcenter.etcd.JdEtcdBuilder;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author atguigu
 * @version 1.0
 */
@Configuration
public class EtcdConfig {

    @Value("${etcd.server}")
    private String etcd;


    @Bean
    public IConfigCenter client() {
        //连接多个时，逗号分隔
        return JdEtcdBuilder.build(etcd);
    }
}
